2026.3

🚧

This release goes live the evening of the 29th June 2026

Breaking Changes

GET /v3/users

  • ⚠️ removed the optional property data/items/jobTitle from the response with the 200 status

GET /v3/users/since

  • ⚠️ removed the optional property data/items/jobTitle from the response with the 200 status

GET /v3/workorders/{reference}/financials

  • ⚠️ removed the required property data/items/isFullValue from the response with the 200 status

POST /v3/workorders/{reference}/financials

  • ⚠️ removed the required property data/isFullValue from the response with the 201 status

GET /v3/workorders/{reference}/financials/{financialId}

  • ⚠️ removed the required property data/isFullValue from the response with the 200 status

PATCH /v3/workorders/{reference}/financials/{financialId}

  • ⚠️ removed the required property data/isFullValue from the response with the 200 status

POST /v3/workorders/{reference}/financials/{financialId}/split

  • ⚠️ removed the required property data/items/isFullValue from the response with the 201 status

Endpoint Changes

GET /v3/accounts/arrangements/since

  • ⚠️ added the new Unknown enum value to the data/items/cycle response property for the response status 200

GET /v3/accounts/{accountId}/arrangements

  • ⚠️ added the new Unknown enum value to the data/items/cycle response property for the response status 200

PATCH /v3/cases/{reference}/visits/{visitId}/complete

  • added the new optional request property visitDate

PATCH /v3/occupancies/{reference}/visits/{visitId}/complete

  • added the new optional request property visitDate

GET /v3/properties/energy/readings/since

  • added the optional property data/items/date to the response with the 200 status
  • added the optional property data/items/meterType to the response with the 200 status
  • added the optional property data/items/notes to the response with the 200 status
  • added the optional property data/items/readingBy to the response with the 200 status
  • added the optional property data/items/serialNo to the response with the 200 status
  • added the optional property data/items/utilityProvider to the response with the 200 status

GET /v3/properties/{propertyId}/energy/readings

  • added the optional property data/items/date to the response with the 200 status
  • added the optional property data/items/meterType to the response with the 200 status
  • added the optional property data/items/notes to the response with the 200 status
  • added the optional property data/items/readingBy to the response with the 200 status
  • added the optional property data/items/serialNo to the response with the 200 status
  • added the optional property data/items/utilityProvider to the response with the 200 status

New Endpoints

Cases

  • GET /v3/cases/costs/since
  • POST /v3/cases/{id}/costs
  • POST /v3/cases/{reference}/costs

Properties

  • GET /v3/properties/{id}/coordinate-link
  • PATCH /v3/properties/{id}/current-location
  • PATCH /v3/properties/{id}/geocode
  • PATCH /v3/properties/{id}/shortlists/{shortlistId}/applications/{applicationId}/bypass
  • GET /v3/properties/{id}/shortlists/{shortlistId}/applications/{applicationId}/offer
  • POST /v3/properties/{id}/shortlists/{shortlistId}/applications/{applicationId}/offer
  • PATCH /v3/properties/{id}/shortlists/{shortlistId}/applications/{applicationId}/offer/accept
  • PATCH /v3/properties/{id}/shortlists/{shortlistId}/applications/{applicationId}/offer/decline
  • PATCH /v3/properties/{id}/shortlists/{shortlistId}/applications/{applicationId}/offer/withdraw
  • PUT /v3/properties/{propertyId}/energy
  • PATCH /v3/properties/{propertyId}/energy
  • GET /v3/properties/{propertyId}/energy/sap
  • DELETE /v3/properties/{propertyId}/energy/{utilityReadingId}
  • GET /v3/properties/{propertyId}/energy/{utilityReadingId}
  • PATCH /v3/properties/{propertyId}/energy/{utilityReadingId}
  • POST /v3/properties/{propertyId}/ownership
  • DELETE /v3/properties/{propertyId}/ownership/{ownershipId}
  • GET /v3/properties/{propertyId}/ownership/{ownershipId}
  • PATCH /v3/properties/{propertyId}/ownership/{ownershipId}
  • GET /v3/properties/{propertyId}/securities
  • POST /v3/properties/{propertyId}/securities
  • DELETE /v3/properties/{propertyId}/securities/{securityId}
  • GET /v3/properties/{propertyId}/securities/{securityId}
  • PATCH /v3/properties/{propertyId}/securities/{securityId}